[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85State

Encoder state enumeration

## Declaration

Source position: ascii85.pp line 29

`type TASCII85State = (`
`ascInitial = 0,` |  | Initial state
`ascOneEncodedChar = 1,` |  | One encoded character in buffer.
`ascTwoEncodedChars = 2,` |  | Two encoded characters in buffer.
`ascThreeEncodedChars = 3,` |  | Three encoded characters in buffer.
`ascFourEncodedChars = 4,` |  | Four encoded characters in buffer.
`ascNoEncodedChar = 5,` |  | No encoded characters in buffer.
`ascPrefix = 6` |  | Prefix processing
`);`

## Description

TASCII85State is for internal use, it contains the current state of the decoder.

## See also

TASCII85DecoderStream |  | ASCII 85 decoder stream.

Documentation generated on: Feb 26 2014